org.eclipse.wst.jsdt.chromium.util

## Class ByteToCharConverter

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.util.ByteToCharConverter

    public class ByteToCharConverter
    extends java.lang.Object

A stateful converter from bytes to characters according to a specified `Charset`. The byte input may end with an incomplete character code (e.g. in UTF-8 one character is coded up to 4 bytes). In this case the partial character code is saved in an internal buffer, thus the statefulness.

### Constructor Summary

Constructors
Constructor and Description
`ByteToCharConverter(java.nio.charset.Charset charset)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.nio.CharBuffer` `convert(java.nio.ByteBuffer input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ByteToCharConverter

    public ByteToCharConverter(java.nio.charset.Charset charset)

### Method Detail

#### convert

    public java.nio.CharBuffer convert(java.nio.ByteBuffer input)